## gmp-ecm 7.0.1+ds

=== debian/changelog ===
gmp-ecm (7.0.1+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #819702).
  * Debianization:
    - debian/control:
      - Standards-Version, dump to 3.9.8;
      - rationalize (Closes: #819696, #819802);
    - debian/patches/:
      - d/p/upstream-lintian-spelling-error-silence.patch, discard as it has
         been integrated, thanks to the upstream maintainer;
      - d/p/upstream-autotoolization-noexecstack.patch, idem;
      - d/p/upstream-longcheck-neutralize-forgotten-code.patch, discard as it
         has been partially integrated while the non-integrated part was clumsy,
         thanks to the upstream maintainer;
       -d/p/upstream-autotoolization-shlibs.patch, introduce;
    - debian/tests/:
      - d/t/make-longcheck, improve;
    - debian/adhoc/missing/, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 01 Jun 2016 22:28:52 +0000

=== debian/control ===
Source: gmp-ecm
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 9),
 autotools-dev, gnulib, m4, dh-autoreconf, libtool,
 libgmp-dev (>= 2:6.0)
#Build-Depends-Indep:
Standards-Version: 3.9.8
Homepage: http://ecm.gforge.inria.fr/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gmp-ecm.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gmp-ecm.git

Package: gmp-ecm
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: ecm (<< 1.00-2)
Replaces: ecm (<< 1.00-2)
Multi-Arch: foreign
Description: Factor integers using the Elliptic Curve Method
 gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
 for integer factorization.
 .
 The original purpose of the ECMNET project was to make Richard Brent's
 prediction true, i.e. to find a factor of 50 digits or more by
 ECM. This goal was attained on September 14, 1998, when Conrad Curry
 found a 53-digit factor of 2^677-1 c150 using George Woltman's mprime
 program. The new goal of ECMNET is now to find other large factors by
 ecm, mainly by contributing to the Cunningham project, most likely the
 longest, ongoing computational project in history according to Bob
 Silverman. A new record was set by Nik Lygeros and Michel Mizony, who
 found in December 1999 a prime factor of 54 digits using GMP-ECM.
 .
 See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
 information about ecmnet.
 .
 This package provides the command line utility.

Package: libecm1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: factor integers using the Elliptic Curve Method -- lib
 gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
 for integer factorization.
 .
 The original purpose of the ECMNET project was to make Richard Brent's
 prediction true, i.e. to find a factor of 50 digits or more by
 ECM. This goal was attained on September 14, 1998, when Conrad Curry
 found a 53-digit factor of 2^677-1 c150 using George Woltman's mprime
 program. The new goal of ECMNET is now to find other large factors by
 ecm, mainly by contributing to the Cunningham project, most likely the
 longest, ongoing computational project in history according to Bob
 Silverman. A new record was set by Nik Lygeros and Michel Mizony, who
 found in December 1999 a prime factor of 54 digits using GMP-ECM.
 .
 See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
 information about ecmnet.
 .
 This package provides the shared library.

Package: libecm1-dev
Section: libdevel
Architecture: any
Replaces: libecm0-dev
Breaks: libecm0-dev
Depends:
 libecm1 (= ${binary:Version}), libecm1-dev-common (= ${source:Version}),
 libgmp-dev, ${misc:Depends}
Multi-Arch: same
Description: factor integers using the Elliptic Curve Method -- libdev
 gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
 for integer factorization.
 .
 The original purpose of the ECMNET project was to make Richard Brent's
 prediction true, i.e. to find a factor of 50 digits or more by
 ECM. This goal was attained on September 14, 1998, when Conrad Curry
 found a 53-digit factor of 2^677-1 c150 using George Woltman's mprime
 program. The new goal of ECMNET is now to find other large factors by
 ecm, mainly by contributing to the Cunningham project, most likely the
 longest, ongoing computational project in history according to Bob
 Silverman. A new record was set by Nik Lygeros and Michel Mizony, who
 found in December 1999 a prime factor of 54 digits using GMP-ECM.
 .
 See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
 information about ecmnet.
 .
 This package provides the static library and symbolic links needed
 for development.

Package: libecm1-dev-common
Section: libdevel
Architecture: all
Replaces: libecm-dev (<= 6.4.4-2), libecm0-dev-common
Breaks: libecm-dev (<= 6.4.4-2), libecm0-dev-common
Depends: ${misc:Depends}
Recommends: libecm1-dev (=${binary:Version})
Multi-Arch: foreign
Description: factor integers using the Elliptic Curve Method -- header
 gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
 for integer factorization.
 .
 The original purpose of the ECMNET project was to make Richard Brent's
 prediction true, i.e. to find a factor of 50 digits or more by
 ECM. This goal was attained on September 14, 1998, when Conrad Curry
 found a 53-digit factor of 2^677-1 c150 using George Woltman's mprime
 program. The new goal of ECMNET is now to find other large factors by
 ecm, mainly by contributing to the Cunningham project, most likely the
 longest, ongoing computational project in history according to Bob
 Silverman. A new record was set by Nik Lygeros and Michel Mizony, who
 found in December 1999 a prime factor of 54 digits using GMP-ECM.
 .
 See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
 information about ecmnet.
 .
 This package provides the header needed by developers.

Package: libecm-dev
Section: oldlibs
Priority: extra
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: libecm1-dev (>= ${source:Version}), libecm1-dev (<< ${source:Version}.1~), ${misc:Depends}
Multi-Arch: foreign
Description: dummy package
 This is a dummy package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with autoreconf --builddirectory=_build --parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-maintainer-mode

override_dh_auto_build-indep:
	true

override_dh_auto_test-indep:
	true

override_dh_auto_install-indep:
	$(MAKE) -C _build install-data-am DESTDIR=$(CURDIR)/debian/tmp

override_dh_installdocs:
	dh_installdocs -plibecm1-dev --link-doc=libecm1-dev-common
	dh_installdocs --remaining-packages

override_dh_compress-indep:
	dh_compress -Xexamples

get-orig-source:
	uscan --no-conf --download-current-version --compression xz --verbose

## gmp-ecm 7.0.2+ds

=== debian/changelog ===
gmp-ecm (7.0.2+ds-1~build1) yakkety; urgency=medium

  * Advanced Tests Failures [i386,armhf] fix release (Closes: #828717).
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/patches/:
      - d/p/upstream-autotoolization-shlibs.patch, discard as it has been
        integrated, thanks to the upstream maintainer;
    - debian/adhoc/missing/, discard as the material is now provided within
      the upstream source ball, thanks to the upstream maintainer;
    - debian/tests/:
      - d/t/make-longcheck, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 28 Jun 2016 15:41:25 +0000

gmp-ecm (7.0.1+ds-2) unstable; urgency=medium

  * FTBFS[s390x] fix release (Closes: #827034), ad hoc workaround a gcc-5 bug
    not fully isolated.
  * Debianization:
    - debian/rules, force -O3 option.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 15 Jun 2016 14:00:32 +0000

## gmp-ecm 7.0.3+ds

=== debian/changelog ===
gmp-ecm (7.0.3+ds-1) unstable; urgency=medium

  * New upstream patch release.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 04 Jul 2016 09:38:42 +0000

gmp-ecm (7.0.2+ds-1) unstable; urgency=medium

  * Advanced Tests Failures [i386,armhf] fix release (Closes: #828717).
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/patches/:
      - d/p/upstream-autotoolization-shlibs.patch, discard as it has been
        integrated, thanks to the upstream maintainer;
    - debian/adhoc/missing/, discard as the material is now provided within
      the upstream source ball, thanks to the upstream maintainer;
    - debian/tests/:
      - d/t/make-longcheck, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 28 Jun 2016 15:41:25 +0000

## gmp-ecm 7.0.4%2Bds

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 9),
- autotools-dev, gnulib, m4, dh-autoreconf, libtool,
- libgmp-dev (>= 2:6.0)
-#Build-Depends-Indep:
-Standards-Version: 3.9.8
-Homepage: http://ecm.gforge.inria.fr/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gmp-ecm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gmp-ecm.git
+ debhelper-compat (= 13),
+ gnulib, m4, libtool,
+ libgmp-dev (>= 2:6.1)
+Standards-Version: 4.6.0
+Homepage: https://gitlab.inria.fr/zimmerma/ecm
+Vcs-Git: https://salsa.debian.org/science-team/gmp-ecm.git
+Vcs-Browser: https://salsa.debian.org/science-team/gmp-ecm
 
 Package: gmp-ecm
 Architecture: any
@@ -69,6 +69,7 @@
 Architecture: any
 Replaces: libecm0-dev
 Breaks: libecm0-dev
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  libecm1 (= ${binary:Version}), libecm1-dev-common (= ${source:Version}),
  libgmp-dev, ${misc:Depends}
@@ -98,6 +99,7 @@
 Architecture: all
 Replaces: libecm-dev (<= 6.4.4-2), libecm0-dev-common
 Breaks: libecm-dev (<= 6.4.4-2), libecm0-dev-common
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Recommends: libecm1-dev (=${binary:Version})
 Multi-Arch: foreign
@@ -122,7 +124,6 @@
 
 Package: libecm-dev
 Section: oldlibs
-Priority: extra
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libecm1-dev (>= ${source:Version}), libecm1-dev (<< ${source:Version}.1~), ${misc:Depends}

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds//,repacksuffix=+ds,uversionmangle=s/-(rc\d*)$/~$1/ \
https://gitlab.inria.fr/zimmerma/ecm/-/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.bz2

## gmp-ecm 7.0.4+ds

=== debian/changelog ===
gmp-ecm (7.0.4+ds-5) unstable; urgency=medium

  * Serious Bug fix release (Closes: #905191), correct typo in extension;
    thanks to Andreas Beckmann <anbe@debian.org> for spotting it.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 28 Oct 2018 00:31:09 +0000

gmp-ecm (7.0.4+ds-4) unstable; urgency=medium

  * Serious Bug fix release (Closes: #905191), correct typo in
    maintscript; thanks to Tobias Hansen <thansen@debian.org> for
    spotting it.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 4.2.1 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 22 Oct 2018 12:54:08 +0000

gmp-ecm (7.0.4+ds-3) unstable; urgency=medium

  * Serious Bug fix release (Closes: #905191), add missing
    'Pre-Depends: ${misc:Pre-Depends}'.
  * Debianization:
    - debian/control:
      - Pre-Depends fields, add (see zeroth point);
      - Vcs-* fields, migration to Salsa;
      - Standards Version, bump to 4.2.0 (no change);
    - debian/rules:
      - get-orig-source target, discrard.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 03 Aug 2018 06:30:09 +0000

gmp-ecm (7.0.4+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - copyright year tuples, update;
      - Format field, secure;
    - debian/control:
      - debhelper, bump to 11 (basic update);
      - Standards Version, bump to 4.1.3 (no change);
      - Homepage field, secure;
      - cleanup;
    - debian/rules:
      - debhelper, bump to 11:
        - link-doc policy, extra docs now within libecm1-dev ;
        - basic update;
      - gcc-6 build, neutralize (Closes: #892396);
      - get-orig-source target, compression option migrate to d/watch;
    - debian/watch:
      - compression option, migrate from d/rules.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 09 Mar 2018 10:44:30 +0000

gmp-ecm (7.0.4+ds-1) unstable; urgency=medium

  * New upstream patch release.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 14 Oct 2016 00:25:48 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
-Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 11),
  gnulib, m4, libtool,
  libgmp-dev (>= 2:6.1)
-Standards-Version: 4.6.0
-Homepage: https://gitlab.inria.fr/zimmerma/ecm
+Standards-Version: 4.2.1
+Homepage: https://ecm.gforge.inria.fr/
 Vcs-Git: https://salsa.debian.org/science-team/gmp-ecm.git
 Vcs-Browser: https://salsa.debian.org/science-team/gmp-ecm

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

##ifeq (s390x,$(DEB_HOST_ARCH))
##export CC = gcc-6
##endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS := $(subst -O2,-O3,$(CFLAGS))

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-maintainer-mode

override_dh_auto_build-indep:
	true

override_dh_auto_test-indep:
	true

override_dh_auto_install-indep:
	$(MAKE) -C _build install-data-am DESTDIR=$(CURDIR)/debian/tmp

override_dh_compress-indep:
	dh_compress -Xexamples

## gmp-ecm 7.0.5+ds

=== hecm/Makefile ===


CC=gcc
CFLAGS=-O2 -g -Wall -std=c99




hecm: auxi.o morphismes.o Jacobi.o generation.o ariKS.o hecm.o stage1HECM.o stage2HECM.o
	gcc auxi.o stage1HECM.o morphismes.o Jacobi.o generation.o ariKS.o hecm.o stage2HECM.o ../libecm_la-mpmod.o ../libecm_la-getprime.o ../libecm_la-mul_fft.o ../libecm_la-auxlib.o ../libecm_la-mul_lo.o -o hecm ../.libs/libecm.a -lgmp -lm ../x86_64/.libs/libmulredc.a

generation.o: ../ecm-impl.h generation.h ariKS.h hecm.h
ariKS.o: ../ecm-impl.h ariKS.h generation.h
auxi.o: auxi.h 
morphimes.o: ../ecm-impl.h generation.h ariKS.h morphismes.h Jacobi.h auxi.h 
stage1HECM.o: ../ecm-impl.h morphismes.h ariKS.h generation.h hecm.h
stage2HECM.o: ../ecm-impl.h hecm.h
hecm.o: ../ecm-impl.h morphismes.h generation.h auxi.h hecm.h
Jacobi.o: ../ecm-impl.h generation.h Jacobi.h



clean: 
	rm -f *.o *~ *.bak hecm

=== debian/changelog ===
gmp-ecm (7.0.5+ds-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:42:35 +0200

gmp-ecm (7.0.5+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/watch, harden;
    - d/copyright:
      - copyright year-tuples, update;
      - Files-Excluded list, refresh;
      - Comment field, erase;
    - d/control:
      - Maintainer, now Debian Math Team;
      - Vcs-*, migration to math-team;
      - Standards-Version, bump to 4.6.1 (no change);
      - Build-Depends list:
        - xsltproc and docbook-xsl, add (to generate manpage);
        - libgmp-dev, remove version;
    - d/patches/*:
      - d/p/upstream-fix-manpage-acute_accent.patch, useless;
    - d/rules, harden;
    - d/clean, introduce;
    - d/upstream/metadata, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 06 Jun 2022 14:24:47 +0000

gmp-ecm (7.0.4+ds-6) unstable; urgency=medium

  * Debianization:
    - d/control:
      - Homepage field, update;
      - debhelper, migrate to version 13 (discar d/compat);
      - Rules-Requires-Root, introduce and set to no;
      - Standards-Version, bump to version 4.6.0 (no change);
    - d/rules:
      - override_dh_missing target, provide;
    - d/copyright:
      - Upstream-Contact field, refresh;
      - Source field, update;
      - copyright year tuples, update;
    - d/patches:
      - d/p/upstream-fix-manpage-acute_accent.patch, introduce;
      - d/p/upstream-national_encoding.patch, introduce;
      - d/p/debianization-examples.patch, provide Forwarded field;
    - d/libecm1.lintian-overrides:
      - exit-in-shared-library tag, rename from shlib-calls-exit;
    - d/tests:
      - d/t/{build-examples,make-longcheck}, now use AUTOPKGTEST_TMP;
    - d/watch, migration to gitlab.inria.fr.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 14 Oct 2021 13:33:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: gmp-ecm
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  gnulib, m4, libtool,
- libgmp-dev (>= 2:6.1)
-Standards-Version: 4.2.1
-Homepage: https://ecm.gforge.inria.fr/
-Vcs-Git: https://salsa.debian.org/science-team/gmp-ecm.git
-Vcs-Browser: https://salsa.debian.org/science-team/gmp-ecm
+ libgmp-dev,
+ xsltproc, docbook-xsl
+Standards-Version: 4.6.1
+Homepage: https://gitlab.inria.fr/zimmerma/ecm
+Vcs-Git: https://salsa.debian.org/math-team/gmp-ecm.git
+Vcs-Browser: https://salsa.debian.org/math-team/gmp-ecm
 
 Package: gmp-ecm
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

##ifeq (s390x,$(DEB_HOST_ARCH))
##export CC = gcc-6
##endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export ACLOCAL_PATH=/usr/share/gnulib/m4

export XSLDIR=/usr/share/xml/docbook/stylesheet/docbook-xsl

CFLAGS := $(subst -O2,-O3,$(CFLAGS))

BUILDIR=_BUILD

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --builddirectory=$(BUILDIR)

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-maintainer-mode

override_dh_auto_build-indep:
	true

override_dh_auto_test-indep:
	true

override_dh_auto_install-indep:
	$(MAKE) -C $(BUILDIR) install-data-am DESTDIR=$(CURDIR)/debian/tmp

override_dh_compress-indep:
	dh_compress -Xexamples

override_dh_missing:
	dh_missing -X.la

## gmp-ecm 7.0.6%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: gmp-ecm
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  gnulib, m4, libtool,
  libgmp-dev,
- xsltproc, docbook-xsl
-Standards-Version: 4.6.1
+ xsltproc, docbook-xsl, docbook-xml
+Standards-Version: 4.7.2
 Homepage: https://gitlab.inria.fr/zimmerma/ecm
 Vcs-Git: https://salsa.debian.org/math-team/gmp-ecm.git
 Vcs-Browser: https://salsa.debian.org/math-team/gmp-ecm

=== debian/tests/control ===
Tests: build-examples
Depends: libecm1-dev, build-essential

Tests: make-longcheck
Depends: gmp-ecm, make
Restrictions: allow-stderr

## gmp-ecm 7.0.6+ds

=== debian/changelog ===
gmp-ecm (7.0.6+ds-1) unstable; urgency=medium

  * New upstream nano version (Closes: 1075776).
  * Debianization:
    - d/watch, update;
    - d/copyright:
      - Files-Excluded list, update;
      - Files sections, refresh;
    - d/rules:
      - override_dh_installchangelogs target, take NEWS as upstream changelog
          since the upstream ChangeLog is insignificant.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 01 Sep 2024 18:06:20 +0000

gmp-ecm (7.0.5+ds-2) unstable; urgency=medium

  * Debianization:
    - d/watch, correct;
    - d/control:
      - Standards-Version, bump to version 4.7.0 (no change);
    - d/copyright:
      - copyright year-tuples, update;
    - d/source/*:
      - d/s/lintian-overrides, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 18 May 2024 11:48:44 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  debhelper-compat (= 13),
  gnulib, m4, libtool,
  libgmp-dev,
- xsltproc, docbook-xsl, docbook-xml
-Standards-Version: 4.7.2
+ xsltproc, docbook-xsl
+Standards-Version: 4.7.0
 Homepage: https://gitlab.inria.fr/zimmerma/ecm
 Vcs-Git: https://salsa.debian.org/math-team/gmp-ecm.git
 Vcs-Browser: https://salsa.debian.org/math-team/gmp-ecm

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds//,repacksuffix=+ds,uversionmangle=s/-(rc\d*)$/~$1/,searchmode=plain \
https://gitlab.inria.fr/api/v4/projects/24244/releases \
https://gitlab.inria.fr/zimmerma/ecm/uploads/[0-9a-f]+/ecm-?([\d\.]+)\.tar\.gz
